> For the complete documentation index, see [llms.txt](https://developer.openactive.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.openactive.io/data-model/types/postaladdress.md).

# PostalAddress

This page describes the PostalAddress type.

This type is derived from <https://schema.org/PostalAddress>, which means that any of this type's properties within schema.org may also be used. Note however the properties on this page must be used in preference if a relevant property is available.

## **Properties**

### **Required properties**

| Property        | Expected Type                     | Description                                                                                                                                             |
| --------------- | --------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------- |
| @type           | [`Text`](https://schema.org/Text) | Must always be present and set to `"@type": "PostalAddress"`                                                                                            |
| addressCountry  | [`Text`](https://schema.org/Text) | <p>The country, expressed as a two-letter ISO 3166-1 alpha-2 country code.</p><p><br>Example</p><p><code>"addressCountry": "GB"</code></p>              |
| addressLocality | [`Text`](https://schema.org/Text) | <p>The locality, a suburb within a city or a town within a county or district.</p><p><br>Example</p><p><code>"addressLocality": "Shoreditch"</code></p> |
| addressRegion   | [`Text`](https://schema.org/Text) | <p>The region, either a city or a county or district.</p><p><br>Example</p><p><code>"addressRegion": "London"</code></p>                                |
| postalCode      | [`Text`](https://schema.org/Text) | <p>The postal code.</p><p><br>Example</p><p><code>"postalCode": "EC2A 4JE"</code></p>                                                                   |
| streetAddress   | [`Text`](https://schema.org/Text) | <p>The street address.</p><p><br>Example</p><p><code>"streetAddress": "Open Data Institute, Floor 3, 65 Clifton St"</code></p>                          |

Except as otherwise noted, the content of this page is licensed under the [Creative Commons Attribution License (CC-BY V4.0)](https://creativecommons.org/licenses/by/4.0/), and code samples are licensed under the [MIT License](https://opensource.org/licenses/MIT), for anyone to access, use and share; using attribution "[OpenActive](https://www.openactive.io/)".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.openactive.io/data-model/types/postaladdress.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
